<?xml version="1.0" encoding="utf-8"?>
<config-project id="namespace3" version="1.0" showDisabledItems="false">
    <config-page id="campus_insight" folder="false">
        <config-set id="lld_nodes_users" type="table" headers="pwd_config_headers" visible="true">
            <config id="os_login_user" type="string" default="root" required="true" editable="false" visible="false"/>
            <config id="os_root_user_pwd_lable" type="labelfield" />
            <config id="os_root_user_pwd" type="single_password" pswtype="os" isCheckWeakPassWord="false" refuser="os_login_user" default="" required="true" editable="true"/>
            <config id="os_root_user_pwd_desc_id" type="labelfield" default="os_root_user_pwd_desc"/>
            <config id="os_others_user_pwd_label" type="labelfield" />
            <config id="os_others_user_pwd" type="password" default="" pswtype="os" refuser="sopuser_user_name" required="true" editable="true"/>
            <config id="os_others_user_pwd_desc_id" type="labelfield" default="os_others_user_pwd_desc"/>
        </config-set>

        <config-set id="password_check_users_name" type="table" headers="pwd_config_headers" visible="false">
            <config id="sopuser_user_name" type="string" default="sopuser" required="true" editable="false" visible="false"/>
            <config id="dbuser_user_name" type="string" default="dbuser" required="true" editable="false" visible="false"/>
        </config-set>
        <!--北向IPv4接入节点为IPv4-->
        <config-set id="nodes_info" type="table" headers="nodes_config_headers_cluster" visible="true"
            dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show">
            <config id="lld_node_1" type="labelfield" default="main_node" required="true"/>
            <!--待检测连通性IP的ID需要符合该规则：node_vm_eth(\d+)_ip_(\d+)，其中的eth(\d+)需要和指定的保持相同,默认为eth3,
            ip后数字最高位区分分析器和采集器，紧接着两位表示集群序号，剩下的数字表示采集器或分析器序号-->
            <config id="node_vm_eth3_ip_0011" type="ip" required="true" editable="true" default=""
            dependsID="north_type" dependsOp="eq" dependsValue="IPv6" dependsAction="reset"/>
            <config id="lld_analyzer_node_1_ip_remark_id" default="lld_analyzer_node_simple_remark" type="labelfield" required="true"/>

            <config id="lld_node_2" type="labelfield" default="slave_node" required="true"/>
            <config id="node_vm_eth3_ip_0012" type="ip" required="true" editable="true" default=""
            dependsID="north_type" dependsOp="eq" dependsValue="IPv6" dependsAction="reset"/>
            <config id="lld_analyzer_node_2_ip_remark_id" default="lld_analyzer_node_simple_remark" type="labelfield" required="true"/>

            <config-set generator="group" number="50" start="3" dependsID="base_analyzer_node_scale" dependsOp="lt"
                        dependsAction="hide" dependsValue="{0}">
                <config id="lld_node_{0}" type="labelfield" default="computing_node" required="true"/>
                <config id="node_vm_eth3_ip_001{0}" type="ip" required="true" editable="true" default=""
                        dependsType="single" dependsID="base_analyzer_node_scale,base_analyzer_node_scale,north_type"
                        dependsOp="lt,lt,eq" dependsAction="hide,reset,reset" dependsValue="{0},{0},IPv6"/>
                <config id="lld_analyzer_node_{0}_ip_remark_id" default="lld_analyzer_node_simple_remark" type="labelfield" dependsID="base_analyzer_node_scale" dependsOp="lt" dependsAction="hide" dependsValue="{0}"/>
            </config-set>
        </config-set>

        <!--接入节点为IPv6-->
        <config-set id="nodes_info_v6" type="table" headers="nodes_config_headers_cluster" visible="true"
            dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show">
            <config id="lld_node_1_v6" type="labelfield" default="main_node" required="true"/>
            <!--待检测连通性IP的ID需要符合该规则：node_vm_eth(\d+)_ip_(\d+)，其中的eth(\d+)需要和指定的保持相同,默认为eth3,
            ip后数字最高位区分分析器和采集器，紧接着两位表示集群序号，剩下的数字表示采集器或分析器序号-->
            <config id="node_vm_eth3_ipv6_0011" type="ip" extType="v6" required="true" editable="true" default=""
            dependsID="north_type" dependsOp="eq" dependsValue="IPv4" dependsAction="reset" />
            <config id="lld_analyzer_node_1_ip_remark_id_v6" default="lld_analyzer_node_simple_remark" type="labelfield" required="true"/>

            <config id="lld_node_2_v6" type="labelfield" default="slave_node" required="true"/>
            <config id="node_vm_eth3_ipv6_0012" type="ip" extType="v6" required="true" editable="true" default=""
            dependsID="north_type" dependsOp="eq" dependsValue="IPv4" dependsAction="reset" />
            <config id="lld_analyzer_node_2_ip_remark_id" default="lld_analyzer_node_simple_remark" type="labelfield" required="true"/>

            <config-set generator="group" number="50" start="3" dependsID="base_analyzer_node_scale" dependsOp="lt"
                        dependsAction="hide" dependsValue="{0}">
                <config id="lld_node_{0}_v6" type="labelfield" default="computing_node" required="true"/>
                <config id="node_vm_eth3_ipv6_001{0}" type="ip" extType="v6" required="true" editable="true" default=""
                        dependsType="single" dependsID="base_analyzer_node_scale,base_analyzer_node_scale,north_type"
                        dependsOp="lt,lt,eq" dependsAction="hide,reset,reset" dependsValue="{0},{0},IPv4"/>
                <config id="lld_analyzer_node_{0}_ip_remark_id_v6" default="lld_analyzer_node_simple_remark" type="labelfield" dependsID="base_analyzer_node_scale" dependsOp="lt" dependsAction="hide" dependsValue="{0}"/>
            </config-set>
        </config-set>

		<config-set id="hide_info" type="table" visible="false">
			<config id="node_ip_0011" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0011},${node_vm_eth3_ip_0011}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0012" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0012},${node_vm_eth3_ip_0012}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0013" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0013},${node_vm_eth3_ip_0013}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0014" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0014},${node_vm_eth3_ip_0014}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0015" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0015},${node_vm_eth3_ip_0015}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0016" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0016},${node_vm_eth3_ip_0016}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_0017" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0017},${node_vm_eth3_ip_0017}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0018" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0018},${node_vm_eth3_ip_0018}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0019" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_0019},${node_vm_eth3_ip_0019}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00110" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00110},${node_vm_eth3_ip_00110}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00111" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00111},${node_vm_eth3_ip_00111}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00112" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00112},${node_vm_eth3_ip_00112}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00113" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00113},${node_vm_eth3_ip_00113}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00114" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00114},${node_vm_eth3_ip_00114}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00115" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00115},${node_vm_eth3_ip_00115}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00116" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00116},${node_vm_eth3_ip_00116}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00117" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00117},${node_vm_eth3_ip_00117}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00118" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00118},${node_vm_eth3_ip_00118}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00119" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00119},${node_vm_eth3_ip_00119}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00120" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00120},${node_vm_eth3_ip_00120}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00121" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00121},${node_vm_eth3_ip_00121}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00122" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00122},${node_vm_eth3_ip_00122}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00123" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00123},${node_vm_eth3_ip_00123}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00124" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00124},${node_vm_eth3_ip_00124}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00125" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00125},${node_vm_eth3_ip_00125}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00126" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00126},${node_vm_eth3_ip_00126}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00127" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00127},${node_vm_eth3_ip_00127}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00128" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00128},${node_vm_eth3_ip_00128}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00129" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00129},${node_vm_eth3_ip_00129}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00130" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00130},${node_vm_eth3_ip_00130}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00131" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00131},${node_vm_eth3_ip_00131}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00132" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00132},${node_vm_eth3_ip_00132}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00133" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00133},${node_vm_eth3_ip_00133}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00134" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00134},${node_vm_eth3_ip_00134}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00135" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00135},${node_vm_eth3_ip_00135}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00136" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00136},${node_vm_eth3_ip_00136}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00137" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00137},${node_vm_eth3_ip_00137}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00138" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00138},${node_vm_eth3_ip_00138}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00139" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00139},${node_vm_eth3_ip_00139}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00140" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00140},${node_vm_eth3_ip_00140}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00141" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00141},${node_vm_eth3_ip_00141}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00142" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00142},${node_vm_eth3_ip_00142}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00143" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00143},${node_vm_eth3_ip_00143}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00144" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00144},${node_vm_eth3_ip_00144}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00145" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00145},${node_vm_eth3_ip_00145}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00146" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00146},${node_vm_eth3_ip_00146}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00147" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00147},${node_vm_eth3_ip_00147}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00148" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00148},${node_vm_eth3_ip_00148}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00149" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00149},${node_vm_eth3_ip_00149}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00150" type="text" default="" required="false" editable="false" visible="false" dependsID="north_type" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_00150},${node_vm_eth3_ip_00150}" optionalDepValues="IPv6,IPv4"/>
        </config-set>

        <!--通用配置-->
        <config-set id="commons_settings" type="table" headers="common_header" visible="true">
            <config id="time_zone_lab" type="labelfield" default="OS_timezone_label" required="true"/>
            <config id="lld_nodes_os_tzone" type="time_zone_select" default="" required="true"
                    editable="true"/>
            <config id="time_zone_des_id" type="labelfield" default="time_zone_des" required="true"/>
            <config id="product_lang_label" type="labelfield" default="product langue"/>
            <config id="lld_product_lang" type="enum" default="" required="true" editable="true">
                <validation range="en_US,zh_CN"/>
            </config>
            <config id="product_lang_des_id" type="labelfield" default="product_lang_des"/>
        </config-set>
        <!--ntp配置-->
        <config-set id="lld_ntp_settings" type="table" headers="lld_ntp_config_header" widths="15,20,65" visible="true">
            <config id="lld_outer_ntp_ip_lab" type="labelfield" default="lld_outer_ntp_ip_lab_default" required="true"/>
            <config id="lld_outer_ntp_ip" type="ip" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float7_ip_1" dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_outer_ntp_ipv6" type="ip" extType="v6" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float7_ipv6_1" dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="node_vm_float7_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float7_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
            <config id="lld_outer_ntp_mode" type="enum" default="NTP_v4_validation" required="false" editable="true">
                <validation range="NTP_v4_validation,NTP_v4"/>
            </config>
            <config id="lld_outer_ntp_algorism" type="enum" default="SHA256" required="false" editable="true" dependsID="lld_outer_ntp_mode" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable">
                <validation range="SHA256,MD5"/>
            </config>
            <config id="lld_outer_ntp_mmvalue_index" type="string" errinfo="index_key_error" regexp="^([1-9]\d?|[1-9]\d{1}|[1-9]\d{2}|[1-9]\d{3}|[1-5]\d{4}|6[0-4]\d{3}|65[0-4]\d{2}|65{2}[0-2]\d{2}|65{2}3[0-4])$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            <config id="lld_outer_ntp_mmvalue" type="single_password" pswtype="ntp" errinfo="index_key_error" regexp="^.{1,31}$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>

            <config id="outer_ntp_ip_lab_bak_1" type="labelfield" default="lld_outer_ntp_ip_lab_default_bak_1" required="true"/>
            <config id="lld_outer_ntp_ip_bak_1" type="ip" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float8_ip_1" dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_outer_ntp_ipv6_bak_1" type="ip" extType="v6" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float8_ipv6_1" dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="node_vm_float8_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float8_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
            <config id="lld_outer_ntp_mode_bak_1" type="enum" default="NTP_v4_validation" required="false" editable="true">
                <validation range="NTP_v4_validation,NTP_v4"/>
            </config>
            <config id="lld_outer_ntp_algorism_bak_1" type="enum" default="SHA256" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_1" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable">
                <validation range="SHA256,MD5"/>
            </config>
            <config id="lld_outer_ntp_mmvalue_index_bak_1" type="string" errinfo="index_key_error" regexp="^([1-9]\d?|[1-9]\d{1}|[1-9]\d{2}|[1-9]\d{3}|[1-5]\d{4}|6[0-4]\d{3}|65[0-4]\d{2}|65{2}[0-2]\d{2}|65{2}3[0-4])$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_1" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            <config id="lld_outer_ntp_mmvalue_bak_1" type="single_password" pswtype="ntp" errinfo="index_key_error" regexp="^.{1,31}$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_1" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>

            <config id="outer_ntp_ip_lab_bak_2" type="labelfield" default="lld_outer_ntp_ip_lab_default_bak_2" required="true"/>
            <config id="lld_outer_ntp_ip_bak_2" type="ip" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float9_ip_1" dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_outer_ntp_ipv6_bak_2" type="ip" extType="v6" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float9_ipv6_1" dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="node_vm_float9_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float9_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
            <config id="lld_outer_ntp_mode_bak_2" type="enum" default="NTP_v4_validation" required="false" editable="true">
                <validation range="NTP_v4_validation,NTP_v4"/>
            </config>
            <config id="lld_outer_ntp_algorism_bak_2" type="enum" default="SHA256" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_2" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable">
                <validation range="SHA256,MD5"/>
            </config>
            <config id="lld_outer_ntp_mmvalue_index_bak_2" type="string" errinfo="index_key_error" regexp="^([1-9]\d?|[1-9]\d{1}|[1-9]\d{2}|[1-9]\d{3}|[1-5]\d{4}|6[0-4]\d{3}|65[0-4]\d{2}|65{2}[0-2]\d{2}|65{2}3[0-4])$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_2" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            <config id="lld_outer_ntp_mmvalue_bak_2" type="single_password" pswtype="ntp" errinfo="index_key_error" regexp="^.{1,31}$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_2" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
        </config-set>
        <!--网络规划-->
        <config-set id="network_config" type="table" headers="cluster_network_config_headers">
            <config id="netcard_access_lab" type="labelfield" default="netcard_access_lab_default" required="true"/>
            <config id="lld_netcard_access" type="text" default="" required="true" editable="false" visible="false"/>
            <!--双平面-->
            <config id="lld_netcard_access_1" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="Yes" dependsAction="show"
                    copyTo="lld_netcard_access"/>
            <!--单平面-->
            <config id="lld_netcard_access_3" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="No" dependsAction="show"
                    copyTo="lld_netcard_south"/>
            <config id="netcard_access_desc_id" type="labelfield" default="netcard_access_desc" />

            <!--单平面下单栈南向或者双栈第一个南向网口-->
            <config id="netcard_south_lab" type="labelfield" default="netcard_south_lab_default" required="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="No" dependsAction="show" visible="true"/>
            <config id="lld_netcard_south" type="text" default="" required="true" editable="false"
                    visible="false" dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="No" dependsAction="show"
                    copyTo="lld_netcard_access"/>
            <config id="netcard_south_desc_id_no" type="labelfield" default="netcard_south_desc" dependsID="base_north_south_divided_campus" dependsOp="eq"
                   dependsValue="No" dependsAction="show"/>
            <!--单平面下双栈第二个南向网口-->
            <config id="netcard_south_lab_no_both_2" type="labelfield" default="netcard_south_lab_default_both" required="true"
                    dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="No,both" dependsAction="show,show" visible="true"/>
            <config id="lld_netcard_south_both" type="text" default="" required="true" regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    visible="false" dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="No,both" dependsAction="show,show"/>
            <config id="netcard_south_desc_id_no_both_2" type="labelfield" default="netcard_south_desc" dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq"
                   dependsValue="No,both" dependsAction="show,show"/>

            <!--双平面下 单栈或者双栈第一个南向网口-->
            <config id="lld_netcard_south_lab_yes" type="labelfield" default="netcard_south_lab_default" required="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="Yes" dependsAction="show" visible="true"/>
            <config id="lld_netcard_south_yes" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="Yes" dependsAction="show" copyTo="lld_netcard_south"/>
            <config id="netcard_south_desc_id" type="labelfield" default="netcard_south_desc" dependsID="base_north_south_divided_campus" dependsOp="eq"
                   dependsValue="Yes" dependsAction="show"/>
            <!--双平面双栈的第二个南向网口-->
            <config id="lld_netcard_south_lab_yes_both_2" type="labelfield" default="netcard_south_lab_default_both" required="true"
                    dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="Yes,both" dependsAction="show,show" visible="true"/>
            <config id="lld_netcard_south_yes_both_2" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="Yes,both" dependsAction="show,show" copyTo="lld_netcard_south_both"/>
            <config id="lld_netcard_south_desc_id_yes_both_2" type="labelfield" default="netcard_south_desc"
                   dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq"
                   dependsValue="Yes,both" dependsAction="show,show"/>
            <!--异地容灾-->
            <config id="lld_netcard_protection_hot_lab" type="labelfield" default="lld_netcard_protection_hot_lab_default" required="true"
                    visible="true" dependsID="is_protection_hot" dependsOp="eq" dependsValue="Yes" dependsAction="show"/>
            <config id="lld_netcard_protection_hot" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="is_protection_hot" dependsOp="eq" dependsValue="Yes" dependsAction="show"/>
            <config id="lld_netcard_protection_hot_desc_id" type="labelfield" default="lld_netcard_protection_hot_desc"
                    dependsID="is_protection_hot" dependsOp="eq" dependsValue="Yes" dependsAction="show"/>
        </config-set>

        <config-set id="cloudsop_config" type="table" headers="common_header">
            <!--登录浮动ip-->
            <config id="insight_access_ip_lab" type="labelfield" default="insight_access_ip_lab_default"
                    required="true"/>
            <config id="lld_insight_access_ip" type="ip" errinfo="ip_error" required="true" editable="true" default="" copyTo="node_vm_float1_ip_1"
            dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_insight_access_ipv6" type="ip" extType="v6" errinfo="ip_error" required="true" editable="true" default="" copyTo="node_vm_float1_ipv6_1"
            dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="ip_des1_id" default="ip_des1" type="labelfield" />
            <config id="node_vm_float1_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float1_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
        </config-set>
        <!--公有云不支持lvs所以隐藏南向浮动ip的填写-->
        <config-set id="cloudsop_config_lvs" type="table" headers="common_header" dependsID="base_scene_choices" dependsOp="ne"  dependsValue="public" dependsAction="show">
            <!--南向浮动ip-->
            <!--ipv4或双栈第一个vip-->
            <config id="lvs_float_ip_lab_1" type="labelfield" default="lvs_float_ip_lab_default" dependsID="base_use_lvs,south_type" dependsOp="eq,in" dependsType="single"
                    dependsValue="NO,IPv4|both" dependsAction="hide,show" required="true"/>
            <config id="lld_lvs_float_ip_1" type="ip" editable="true" default="" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv4|both" dependsAction="hide,reset,show" required="true" copyTo="node_vm_float2_ip_1" />
            <config id="ip_des2_id_1" default="ip_des2" type="labelfield" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv4|both" dependsAction="hide,reset,show" required="true"/>
            <!--ipv4或双栈第一个dip-->
            <config id="dip_float_ip_lab_1" type="labelfield" default="dip_float_ip_lab_default_ipv4" dependsID="base_use_lvs,south_type" dependsOp="eq,in" dependsType="single"
                    dependsValue="NO,IPv4|both" dependsAction="hide,show" required="true"/>
            <config id="lld_dip_float_ip_1" type="ip" editable="true" default="" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv4|both" dependsAction="hide,reset,show" required="true" copyTo="node_vm_float2_ip_3" />
            <config id="dip_des2_id_1" default="dip_des2" type="labelfield" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv4|both" dependsAction="hide,reset,show" required="true"/>
            <!--单栈ipv6 vip-->
            <config id="lvs_float_ip_lab_2" type="labelfield" default="lvs_float_ip_lab_default" dependsID="base_use_lvs,south_type" dependsOp="eq,in" dependsType="single"
                    dependsValue="NO,IPv6" dependsAction="hide,show" required="true"/>
            <config id="lld_lvs_float_ip_2" type="ip" extType="v6" editable="true" default="" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv6" dependsAction="hide,reset,show" required="true" copyTo="node_vm_float2_ip_1" />
            <config id="ip_des2_id_2" default="ip_des2" type="labelfield" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv6" dependsAction="hide,reset,show" required="true"/>
            <!--单栈ipv6 dip-->
            <config id="dip_float_ip_lab_2" type="labelfield" default="dip_float_ip_lab_default_ipv6" dependsID="base_use_lvs,south_type" dependsOp="eq,in" dependsType="single"
                    dependsValue="NO,IPv6" dependsAction="hide,show" required="true"/>
            <config id="lld_dip_float_ip_2" type="ip" extType="v6" editable="true" default="" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv6" dependsAction="hide,reset,show" required="true" copyTo="node_vm_float2_ip_3" />
            <config id="dip_des2_id_2" default="dip_des2" type="labelfield" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,IPv6" dependsAction="hide,reset,show" required="true"/>

            <!--双栈第二个vip-->
            <config id="lvs_float_ip_lab_3" type="labelfield" default="lvs_float_ip_lab_default_ipv6" dependsID="base_use_lvs,south_type" dependsOp="eq,in" dependsType="single"
                    dependsValue="NO,both" dependsAction="hide,show" required="true"/>
            <config id="lld_lvs_float_ip_3" type="ip" extType="v6" editable="true" default="" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,both" dependsAction="hide,reset,show" required="true" copyTo="node_vm_float2_ip_2" />
            <config id="ip_des2_id_3" default="ip_des2_ipv6" type="labelfield" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,both" dependsAction="hide,reset,show" required="true"/>
            <!--双栈第二个dip-->
            <config id="dip_float_ip_lab_3" type="labelfield" default="lld_dip_float_dip_lab_default_ipv6" dependsID="base_use_lvs,south_type" dependsOp="eq,in" dependsType="single"
                    dependsValue="NO,both" dependsAction="hide,show" required="true"/>
            <config id="lld_dip_float_ip_3" type="ip" extType="v6" editable="true" default="" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,both" dependsAction="hide,reset,show" required="true" copyTo="node_vm_float2_ip_4" />
            <config id="dip_des2_id_3" default="dip_des2_ipv6" type="labelfield" dependsID="base_use_lvs,base_use_lvs,south_type" dependsOp="eq,eq,in" dependsType="single"
                    dependsValue="NO,N0,both" dependsAction="hide,reset,show" required="true"/>
            <!--实际南向浮动ip和dip-->
            <config id="node_vm_float2_ip_1" type="ip" default="" required="false" editable="false" visible="false"
                    dependsID="base_use_lvs" dependsOp="eq" dependsValue="NO" dependsAction="reset"/>
            <config id="node_vm_float2_ip_2" type="ip" extType="v6" default="" required="false" editable="false" visible="false"
                    dependsID="base_use_lvs" dependsOp="eq" dependsValue="NO" dependsAction="reset"/>
            <config id="node_vm_float2_ip_3" type="ip" default="" required="false" editable="false" visible="false"
                    dependsID="base_use_lvs" dependsOp="eq" dependsValue="NO" dependsAction="reset"/>
            <config id="node_vm_float2_ip_4" type="ip" extType="v6" default="" required="false" editable="false" visible="false"
                    dependsID="base_use_lvs" dependsOp="eq" dependsValue="NO" dependsAction="reset"/>
        </config-set>
        <config-set id="cloudsop_mmvalue_common" type="table" headers="common_header">
            <!--密码-->
            <config id="db_login_pwd_label" type="labelfield" />
            <config id="db_login_pwd" type="password" default="" pswtype="gauss" refuser="dbuser_user_name" required="true" editable="true"/>
            <config id="db_login_pwd_desc_id" type="labelfield" default="db_login_pwd_desc"/>
            <config id="cloudsop_pwd_label" type="labelfield" />
            <config id="cloudsop_pwd" type="password" regexp="^(?![a-zA-Z0-9]+$)(?![a-zA-Z~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]+$)(?![A-Z0-9~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]+$)(?![a-z0-9~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]+$)[0-9a-zA-Z~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]{8,64}$"
                    default="" errinfo="cloudsop_passwd_error" required="true" editable="true"/>
            <config id="cloudsop_pwd_desc_id" type="labelfield" default="cloudsop_pwd_desc"/>
        </config-set>

    </config-page>
</config-project>